=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2012-05-18 11:16:37 +0000
+++ CMakeLists.txt	2012-05-18 15:09:03 +0000
@@ -170,7 +170,7 @@
 add_subdirectory (po)
 add_subdirectory (metadata)
 add_subdirectory (src)
-#add_subdirectory (compizconfig)
+add_subdirectory (compizconfig)
 add_subdirectory (xslt)
 add_subdirectory (plugins)
 add_subdirectory (tests)

=== modified file 'include/core/CMakeLists.txt'
--- include/core/CMakeLists.txt	2012-01-30 05:12:24 +0000
+++ include/core/CMakeLists.txt	2012-05-18 15:09:03 +0000
@@ -12,7 +12,6 @@
     plugin.h
     propertywriter.h
     privateunion.h
-    region.h
     screen.h
     serialization.h
     session.h

=== modified file 'plugins/CMakeLists.txt'
--- plugins/CMakeLists.txt	2012-01-20 09:46:31 +0000
+++ plugins/CMakeLists.txt	2012-05-18 15:09:03 +0000
@@ -16,6 +16,7 @@
   ${CMAKE_CURRENT_SOURCE_DIR}/../src/pluginclasshandler/include
   ${CMAKE_CURRENT_SOURCE_DIR}/../src/point/include
   ${CMAKE_CURRENT_SOURCE_DIR}/../src/rect/include
+  ${CMAKE_CURRENT_SOURCE_DIR}/../src/region/include
   ${CMAKE_CURRENT_SOURCE_DIR}/../src/window/geometry/include
   ${CMAKE_CURRENT_SOURCE_DIR}/../src/window/geometry-saver/include
   ${CMAKE_CURRENT_SOURCE_DIR}/../src/window/extents/include

=== modified file 'plugins/grid/tests/grabhandler/CMakeLists.txt'
--- plugins/grid/tests/grabhandler/CMakeLists.txt	2012-01-24 11:25:54 +0000
+++ plugins/grid/tests/grabhandler/CMakeLists.txt	2012-05-18 15:09:03 +0000
@@ -1,4 +1,4 @@
-include_directories (${compiz_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR}/src)
+include_directories (${compiz_INCLUDE_DIRS} ${CMAKE_CURENT_SOURCE_DIR}/../../src)
 
 add_executable (test-grid-grab-handler
 		test-grid-grab-handler.cpp

=== modified file 'plugins/wall/CMakeLists.txt'
--- plugins/wall/CMakeLists.txt	2012-05-16 17:41:07 +0000
+++ plugins/wall/CMakeLists.txt	2012-05-18 15:09:03 +0000
@@ -1,6 +1,7 @@
 find_package (Compiz REQUIRED)
 
 include (CompizPlugin)
+include (CompizDefaults)
 
 add_subdirectory (src/offset_movement)
 include_directories (src/offset_movement/include)

=== modified file 'plugins/wall/src/offset_movement/CMakeLists.txt'
--- plugins/wall/src/offset_movement/CMakeLists.txt	2012-05-09 01:50:55 +0000
+++ plugins/wall/src/offset_movement/CMakeLists.txt	2012-05-18 15:09:03 +0000
@@ -1,25 +1,13 @@
-pkg_check_modules (
-  GLIBMM
-  REQUIRED
-  glibmm-2.4 glib-2.0 compiz
-)
-
 INCLUDE_DIRECTORIES (  
   ${CMAKE_CURRENT_SOURCE_DIR}/include
   ${CMAKE_CURRENT_SOURCE_DIR}/src
-
-  ${CMAKE_SOURCE_DIR}/include
     
   ${Boost_INCLUDE_DIRS}
   
   ${GLIBMM_INCLUDE_DIRS}
 )
 
-LINK_DIRECTORIES (${GLIBMM_LIBRARY_DIRS}) 
-
-SET ( 
-  PUBLIC_HEADERS 
-)
+LINK_DIRECTORIES (${GLIBMM_LIBRARY_DIRS} ${COMPIZ_LIBRARY_DIRS}) 
 
 SET ( 
   PRIVATE_HEADERS
@@ -36,7 +24,6 @@
   
   ${SRCS}
   
-  ${PUBLIC_HEADERS}
   ${PRIVATE_HEADERS}
 )
 
@@ -44,14 +31,9 @@
 ADD_SUBDIRECTORY( ${CMAKE_CURRENT_SOURCE_DIR}/tests )
 endif (COMPIZ_BUILD_TESTING)
 
-SET_TARGET_PROPERTIES(
-  compiz_wall_offset_movement PROPERTIES
-  PUBLIC_HEADER "${PUBLIC_HEADERS}"
-)
-
 TARGET_LINK_LIBRARIES(
   compiz_wall_offset_movement
 
-  compiz_core
-  ${GLIBMM_LIBRARIES}
+  compiz_rect
+  compiz_region
 )

=== modified file 'plugins/wall/src/offset_movement/tests/CMakeLists.txt'
--- plugins/wall/src/offset_movement/tests/CMakeLists.txt	2012-05-17 06:54:45 +0000
+++ plugins/wall/src/offset_movement/tests/CMakeLists.txt	2012-05-18 15:09:03 +0000
@@ -1,9 +1,3 @@
-pkg_check_modules (
-  COMPIZ
-  REQUIRED
-  glibmm-2.4 glib-2.0
-)
-
 find_library (GMOCK_LIBRARY gmock)
 find_library (GMOCK_MAIN_LIBRARY gmock_main)
 
@@ -13,8 +7,6 @@
 endif (NOT GMOCK_LIBRARY OR NOT GMOCK_MAIN_LIBRARY OR NOT GTEST_FOUND)
 
 include_directories (${GTEST_INCLUDE_DIRS})
-include_directories(${CMAKE_CURRENT_SOURCE_DIR})
-include_directories (${COMPIZ_INCLUDE_DIRS})
 
 link_directories (${COMPIZ_LIBRARY_DIRS})
 
@@ -26,8 +18,7 @@
                        ${GTEST_BOTH_LIBRARIES}
 		       ${GMOCK_LIBRARY}
 		       ${GMOCK_MAIN_LIBRARY}
-		       ${CMAKE_THREAD_LIBS_INIT} # Link in pthread. 
-		       compiz_core
+		       ${CMAKE_THREAD_LIBS_INIT} # Link in pthread.
                        )
 
 gtest_add_tests (compiz_test_wall_offset_movement "" ${CMAKE_CURRENT_SOURCE_DIR}/test-wall-offset-movement.cpp)

=== modified file 'src/CMakeLists.txt'
--- src/CMakeLists.txt	2012-03-13 10:17:02 +0000
+++ src/CMakeLists.txt	2012-05-18 15:09:03 +0000
@@ -7,12 +7,12 @@
 add_subdirectory( pluginclasshandler )
 add_subdirectory( point )
 add_subdirectory( rect )
+add_subdirectory( region )
 add_subdirectory( window )
 
 IF (COMPIZ_BUILD_TESTING)
 add_subdirectory( privatescreen/tests )
 add_subdirectory( wrapsystem/tests )
-add_subdirectory( region/tests )
 add_subdirectory( plugin )
 add_subdirectory( option/tests )
 ENDIF (COMPIZ_BUILD_TESTING)
@@ -57,6 +57,9 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/rect/include
     ${CMAKE_CURRENT_SOURCE_DIR}/rect/src
 
+    ${CMAKE_CURRENT_SOURCE_DIR}/region/include
+    ${CMAKE_CURRENT_SOURCE_DIR}/region/src
+
     ${CMAKE_CURRENT_SOURCE_DIR}/window/geometry/include
     ${CMAKE_CURRENT_SOURCE_DIR}/window/geometry/src
 
@@ -89,7 +92,6 @@
 
 add_library (compiz_core SHARED
     ${CMAKE_CURRENT_SOURCE_DIR}/global.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/region.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/atoms.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/actions.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/screen.cpp
@@ -155,6 +157,7 @@
     compiz_pluginclasshandler
     compiz_point
     compiz_rect
+    compiz_region
     compiz_window_geometry
     compiz_window_geometry_saver
     compiz_window_extents

=== modified file 'src/option/tests/CMakeLists.txt'
--- src/option/tests/CMakeLists.txt	2012-03-30 16:30:13 +0000
+++ src/option/tests/CMakeLists.txt	2012-05-18 15:09:03 +0000
@@ -6,6 +6,7 @@
   ${compiz_SOURCE_DIR}/src/logmessage/include
   ${compiz_SOURCE_DIR}/src/string/include
   ${compiz_SOURCE_DIR}/src/rect/include
+  ${compiz_SOURCE_DIR}/src/region/include
   ${compiz_SOURCE_DIR}/src/point/include
   ${compiz_SOURCE_DIR}/src/window/geometry/include
   ${compiz_SOURCE_DIR}/src/window/extents/include

=== modified file 'src/plugin/CMakeLists.txt'
--- src/plugin/CMakeLists.txt	2012-03-13 10:17:02 +0000
+++ src/plugin/CMakeLists.txt	2012-05-18 15:09:03 +0000
@@ -9,6 +9,7 @@
   ${compiz_SOURCE_DIR}/src/timer/src
 
   ${compiz_SOURCE_DIR}/src/rect/include
+  ${compiz_SOURCE_DIR}/src/region/include
   ${compiz_SOURCE_DIR}/src/window/geometry/include
   ${compiz_SOURCE_DIR}/src/window/extents/include
 

=== modified file 'src/privatescreen/tests/CMakeLists.txt'
--- src/privatescreen/tests/CMakeLists.txt	2012-03-06 17:44:14 +0000
+++ src/privatescreen/tests/CMakeLists.txt	2012-05-18 15:09:03 +0000
@@ -12,6 +12,7 @@
   ${compiz_SOURCE_DIR}/src/timer/src
 
   ${compiz_SOURCE_DIR}/src/rect/include
+  ${compiz_SOURCE_DIR}/src/region/include
   ${compiz_SOURCE_DIR}/src/screen/geometry/include
   ${compiz_SOURCE_DIR}/src/window/geometry/include
   ${compiz_SOURCE_DIR}/src/window/extents/include

=== added file 'src/region/CMakeLists.txt'
--- src/region/CMakeLists.txt	1970-01-01 00:00:00 +0000
+++ src/region/CMakeLists.txt	2012-05-18 15:09:03 +0000
@@ -0,0 +1,64 @@
+pkg_check_modules (
+  X11
+  REQUIRED
+  x11
+)
+
+INCLUDE_DIRECTORIES (  
+  ${CMAKE_CURRENT_SOURCE_DIR}/include
+  ${CMAKE_CURRENT_SOURCE_DIR}/src
+
+  ${compiz_SOURCE_DIR}/src/point/include
+  ${compiz_SOURCE_DIR}/include
+
+  ${compiz_SOURCE_DIR}/src/rect/include
+  ${compiz_SOURCE_DIR}/include
+
+  ${Boost_INCLUDE_DIRS}
+  
+  ${GLIBMM_INCLUDE_DIRS}
+)
+
+LINK_DIRECTORIES (${X11_LIBRARY_DIRS}) 
+
+SET ( 
+  PUBLIC_HEADERS 
+  ${CMAKE_CURRENT_SOURCE_DIR}/include/core/region.h
+)
+
+SET ( 
+  PRIVATE_HEADERS 
+)
+
+SET( 
+  SRCS 
+  ${CMAKE_CURRENT_SOURCE_DIR}/src/region.cpp
+)
+
+ADD_LIBRARY( 
+  compiz_region STATIC
+  
+  ${SRCS}
+  
+  ${PUBLIC_HEADERS}
+  ${PRIVATE_HEADERS}
+)
+
+IF (COMPIZ_BUILD_TESTING)
+ADD_SUBDIRECTORY( ${CMAKE_CURRENT_SOURCE_DIR}/tests )
+ENDIF (COMPIZ_BUILD_TESTING)
+
+SET_TARGET_PROPERTIES(
+  compiz_region PROPERTIES
+  PUBLIC_HEADER "${PUBLIC_HEADERS}"
+)
+
+install (FILES ${PUBLIC_HEADERS} DESTINATION ${COMPIZ_CORE_INCLUDE_DIR})
+
+TARGET_LINK_LIBRARIES( 
+  compiz_region
+  compiz_point
+  compiz_rect
+
+  ${X11_LIBRARIES}
+)

=== added directory 'src/region/include'
=== added directory 'src/region/include/core'
=== renamed file 'include/core/region.h' => 'src/region/include/core/region.h'
=== added directory 'src/region/src'
=== renamed file 'src/region.cpp' => 'src/region/src/region.cpp'
=== modified file 'src/region/tests/CMakeLists.txt'
--- src/region/tests/CMakeLists.txt	2012-02-15 17:45:25 +0000
+++ src/region/tests/CMakeLists.txt	2012-05-18 15:09:03 +0000
@@ -2,6 +2,7 @@
   ${CMAKE_CURRENT_SOURCE_DIR} 
 
   ${compiz_SOURCE_DIR}/src/rect/include
+  ${compiz_SOURCE_DIR}/src/region/include
   ${compiz_SOURCE_DIR}/include
   ${compiz_SOURCE_DIR}/src
 )
@@ -23,9 +24,9 @@
 target_link_libraries( 
   compiz_region_test 
   
-  compiz_core
-  compiz_window_constrainment
-  compiz_logmessage
+  compiz_region
+  compiz_rect
+  compiz_point
   
   ${GTEST_BOTH_LIBRARIES}
   ${GMOCK_LIBRARY}

